Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 295613 - sys-apps/baselayout-2.0.2 and sys-apps/openrc-0.8.2-r1 stable request
Summary: sys-apps/baselayout-2.0.2 and sys-apps/openrc-0.8.2-r1 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: OpenRC (show other bugs)
Hardware: All Linux
: High enhancement with 14 votes (vote)
Assignee: OpenRC Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 205286 206621 218033 221903 222889 241884 250978 251730 266395 266804 297439 298824 301473 302074 302103 302116 302171 302181 310293 310805 314589 326865 336378 347583 349389 351465 351712 360367 360963 361465 363501 363611 363637 363671 363693 363949 363957 363959 367467 369085
Blocks: 208178 213988 241002 323031
  Show dependency tree
 
Reported: 2009-12-04 04:36 UTC by William Hubbs
Modified: 2011-06-28 08:20 UTC (History)
46 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William Hubbs gentoo-dev 2009-12-04 04:36:51 UTC
All,

please make any bugs that need to be solved before openrc/baselayout2 go stable
block this bug.  This is a tracker, so do not add comments here.

Thanks,

William
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-12-19 16:20:32 UTC
*** Bug 218859 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-12-19 16:22:25 UTC
(In reply to comment #1)
> *** Bug 218859 has been marked as a duplicate of this bug. ***
> 

I hit this by mistake, not a dupe. Removing OP from CC.
Comment 3 MaratIK 2010-01-18 16:13:55 UTC
Please, add Bug 266875 to "depends on"-list
Comment 4 Slava Gorbunov 2010-03-12 14:26:12 UTC
Please add bug 266395 to "Depends on". It is actually an openrc-related bug (network subsystem).
Comment 5 Andrew Brouwers 2010-05-07 12:05:46 UTC
Most of the dependent bugs seem to have gone inactive.  Is there anything that can be done to help out?  Dropping openrc+baselayout into my keywords and upgrading worked wonderful on two stable amd64 installs.
Comment 6 Arne Babenhauserheide 2010-08-20 22:38:22 UTC
I just updated a stable ppc32 system (old iMac) successfully to OpenRC and baselayout-2. 

The only problems I hit: 

* The network settings were broken (switched to wpa_cli — I used the chance to really switch to wpa_cli :) )
* I was careless with the config merging, so kdm got replaced with xdm and I had to manually switch it back. 

It only needed baselayout-2 and openrc in the keywords, `emerge -auD system` and dispatch-conf (though cfg-update would have cleverer, as it would have avoided the xdm merge :) ). 

Also I use openrc/baselayout2 on an otherwise completely stable OLPC XO without any problems. Same for my mostly stable (except for KDE4 from the overlay) amd64 system. 

All of them use parallel init, though mostly because I prefer the output (yes, I know that that’s a kinda strange reason ;) ). 

…just wanted to write that it works — and tell you that you do a hell of a great job with openrc/baselayout2! Many thanks! 
Comment 7 Arne Babenhauserheide 2010-08-20 22:40:24 UTC
arg — overlooked the „don’t add comments here“ :( 
sorry for the noise… 
Comment 8 Dennis Schridde 2010-08-20 23:06:56 UTC
(In reply to comment #6)
> All of them use parallel init, though mostly because I prefer the output
+1
Comment 9 Boian Berberov 2010-11-09 22:16:24 UTC
Are there going to be baselayout2-based stages available soon?  Only the documentation bug is left and it has no unresolved dependencies of its own.
Comment 10 William Hubbs gentoo-dev 2010-11-10 00:41:18 UTC
(In reply to comment #9)
> Are there going to be baselayout2-based stages available soon?  Only the
> documentation bug is left and it has no unresolved dependencies of its own.

Stages are based on the stable tree, so not until openrc and baselayout 2 go stable.
Comment 11 William Hubbs gentoo-dev 2010-11-30 14:38:57 UTC
This bug now blocks bug #213988 instead of depending on it, per the comments in the other bug.

The current status is that we are going through other bugs to make sure that we do not have any blockers.  Once that is done, we will request stabilization unless a new release has to be done to fix other issues.
Comment 12 Carter Young 2010-12-26 05:06:44 UTC
Please add bug 346805 to the depends list, as Comment 17 suggested, and if possible merge an if statement into base layout-1 until base layout-2 is stable.
Comment 13 William Hubbs gentoo-dev 2010-12-28 18:53:03 UTC
(In reply to comment #12)
> Please add bug 346805 to the depends list, as Comment 17 suggested, and if
> possible merge an if statement into base layout-1 until base layout-2 is
> stable.

If I add it to the depends list of this tracker, it means that it cannot be fixed until openrc goes stable, or openrc cannot go stable until it is fixed, depending on which way I add it.

This bug is a baselayout-1 bug, so it doesn't belong in the depends for this bug imho.
Comment 14 Carter Young 2010-12-28 18:58:25 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > Please add bug 346805 to the depends list, as Comment 17 suggested, and if
> > possible merge an if statement into base layout-1 until base layout-2 is
> > stable.
> 
> If I add it to the depends list of this tracker, it means that it cannot be
> fixed until openrc goes stable, or openrc cannot go stable until it is fixed,
> depending on which way I add it.
> 
> This bug is a baselayout-1 bug, so it doesn't belong in the depends for this
> bug imho.
> 

Then where should it go?  Where ever you think it goes put it there, so someone smarter than me will write the if test that will solve the issue
Comment 15 William Hubbs gentoo-dev 2011-04-12 15:02:29 UTC
Openrc-0.8.1 is the stable candidate.

On 5/1 a news item will be committed which will remind stable users of
this upgrade.  The target date for stabilization will be 5/8.
Comment 16 Jarry 2011-04-12 16:50:52 UTC
(In reply to comment #15)
> Openrc-0.8.1 is the stable candidate.

Noticed a small and probably unimportant bug after update from openrc-0.7.0 to openrc-0.8.1 (I skipped 0.8.0 due to bug with /proc mount detection). When shutting down, I do not get "[ ok ]" for "Stopping local". 

openrc-0.8.1:

* Stopping local

openrc-0.7.0:

* Stopping local ...                        [ ok ]

Probably some typo in /etc/init.d/local. I did not investigate it deeper...
Comment 17 William Hubbs gentoo-dev 2011-04-12 17:01:21 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > Openrc-0.8.1 is the stable candidate.
> Noticed a small and probably unimportant bug after update from openrc-0.7.0 to
> openrc-0.8.1 (I skipped 0.8.0 due to bug with /proc mount detection). When
> shutting down, I do not get "[ ok ]" for "Stopping local". 

This could be a bug, but this tracker bug is not the place for it. Please open a separate bug.
Comment 18 William Hubbs gentoo-dev 2011-04-16 16:46:10 UTC
Due to regressions, openrc-0.8.1 was removed from the tree.

Now, the stable candidate is 0.8.2. Since the differences between 0.8.1
and 0.8.2 are very small, I want to keep the news item release date and
stabilization date the same.
Comment 19 Gokdeniz Karadag 2011-04-17 18:22:18 UTC
I assume bug #363949 is a dependency on this bug. (title: openrc-0.8.2 does not migrate /etc/conf.d/local.start to /etc/local.d)
Comment 20 William Hubbs gentoo-dev 2011-04-17 18:53:47 UTC
(In reply to comment #19)
> I assume bug #363949 is a dependency on this bug. (title: openrc-0.8.2 does not
> migrate /etc/conf.d/local.start to /etc/local.d)

Please see comment #0 for how to do this in the future; comments like this should not be added to the tracker.
Comment 21 William Hubbs gentoo-dev 2011-05-01 18:54:09 UTC
The news item has been committed to the tree.

We will request stabilization of openrc-0.8.2-r1 and baselayout-2.0.2 on
2011/05/08.
Comment 22 William Hubbs gentoo-dev 2011-05-08 02:08:35 UTC
Arch teams,

The day is here... Take a deep breath.... and...
Please test and mark stable the following packages:

sys-apps/baselayout-2.0.2
sys-apps/openrc-0.8.2-r1

target keywords: alpha amd64 arm hppa ia64 m68k ppc ppc64 s390 sh sparc x86
Comment 23 Agostino Sarubbo gentoo-dev 2011-05-08 09:19:48 UTC
using it since a years on all my machines (except my stable system test) and it works without a problem.

So, it is ok for me on: x86/amd64 both also with hardened environment.

Only issue that i've found is:

scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../librc:../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../librc:../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../librc:../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../librc:../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../libeinfo:/lib64' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/sbin/rc
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/libeinfo.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../librc:../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../libeinfo' in /tmp/portage/sys-apps/openrc-0.8.2-r1/image/lib64/librc.so.1

but i can't reproduce atm..is a problem?
Comment 24 William Hubbs gentoo-dev 2011-05-08 14:24:12 UTC
(In reply to comment #23)
> using it since a years on all my machines (except my stable system test) and it
> works without a problem.
> So, it is ok for me on: x86/amd64 both also with hardened environment.
> Only issue that i've found is:

*snip*

> but i can't reproduce atm..is a problem?

I haven't seen this issue on my system, and since you can't reproduce it, I would say it isn't a problem.
Comment 25 Agostino Sarubbo gentoo-dev 2011-05-08 14:31:02 UTC
(In reply to comment #24)
> I haven't seen this issue on my system, and since you can't reproduce it, I
> would say it isn't a problem.

Yes, i have see this only at first time compile of openrc. After, also with the same use flag I didn't reproduce. Anyway also if i didn't reproduce it now, there is the log who explain the "issue"
Comment 26 tanstaafl@libertytrek.org 2011-05-08 14:38:09 UTC
Could someone please confirm that there shouldn't be any problem for those of us using the 'server' profile?
Comment 27 Alex Buell 2011-05-08 14:44:02 UTC
Have been testing openrc and baselayout-2 on one of my SPARCs, seems to work quite well. Could stabilise.
Comment 28 Myckel Habets 2011-05-08 15:25:38 UTC
Seems to build and run fine on x86 (I was able to reboot my system). Please mark stable for x86.
Comment 29 Christian Faulhammer (RETIRED) gentoo-dev 2011-05-08 19:00:09 UTC
x86 done now...I cannot verify for server profiles, but I do not know any reason why it shouldn't work there.  Here we go!
Comment 30 Pacho Ramos gentoo-dev 2011-05-08 19:34:20 UTC
amd64 stable
Comment 31 Jeroen Roovers (RETIRED) gentoo-dev 2011-05-09 11:33:20 UTC
Stable for HPPA.
Comment 32 Oleg Gawriloff 2011-05-09 18:44:48 UTC
Pls see #366635
Comment 33 Carter Young 2011-05-09 19:53:41 UTC
(In reply to comment #32)
> Pls see #366635

See bug 363501
Comment 34 William Hubbs gentoo-dev 2011-05-10 20:49:59 UTC
Arch teams, pleas continue stabilizing.
Comment 35 Joe Jezak (RETIRED) gentoo-dev 2011-05-12 15:06:34 UTC
Marked ppc/ppc64 stable.
Comment 36 Raúl Porcel (RETIRED) gentoo-dev 2011-05-13 19:06:53 UTC
alpha/arm/ia64/sh/sparc stable
Comment 37 William Hubbs gentoo-dev 2011-06-22 23:36:51 UTC
What is the status for stabilizing these on m68k and s390?

Thanks,

William
Comment 38 SpanKY gentoo-dev 2011-06-24 01:01:52 UTC
m68k can be done now, but s390 still has Bug 367467
Comment 39 SpanKY gentoo-dev 2011-06-28 04:32:20 UTC
marked m68k/s390 stable now that the s390 net bug is fixed